Bug 181545

Summary: lang/sbcl upgrade to 1.1.10
Product: Ports & Packages Reporter: Jimmy Olgeni <olgeni>
Component: Individual Port(s)Assignee: Brendan Fabeny <bf>
Status: Closed FIXED    
Severity: Affects Only Me CC: bf
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Jimmy Olgeni freebsd_committer 2013-08-26 11:40:00 UTC
An upgrade to 1.1.10 for lang/sbcl (tested with poudriere, no pkg-plist changes).
Comment 1 Edwin Groothuis freebsd_committer 2013-08-26 11:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 bf 2013-08-26 13:13:38 UTC
I prepared such an update at the beginning of this month, but I found
that the new version of asdf bundled with sbcl breaks a number of
dependent ports (buildapp and stumpwm) and is newer than the version
found in cl-asdf (which needs to be updated), so I postponed the
update until I could discuss the problem with olgeni@.  Also, I'd like
the next update to use the version of sbcl that is scheduled for
release in a few days.

Jimmy, do you have any plans for updates to the cl-* ports?

Regards,
            b.
Comment 3 dfilter service freebsd_committer 2013-10-03 14:47:58 UTC
Author: bf
Date: Thu Oct  3 13:47:44 2013
New Revision: 329191
URL: http://svnweb.freebsd.org/changeset/ports/329191

Log:
  Update lang/sbcl to 1.1.12 [1] and math/maxima to 5.31.1; adjust
  dependent ports
  
  PR:		181545 [1]

Modified:
  head/converters/cl-babel-sbcl/Makefile
  head/devel/buildapp/Makefile
  head/devel/cl-alexandria-sbcl/Makefile
  head/devel/cl-cffi-sbcl/Makefile
  head/devel/cl-infix-sbcl/Makefile
  head/devel/cl-port-sbcl/Makefile
  head/devel/cl-split-sequence-sbcl/Makefile
  head/devel/cl-trivial-features-sbcl/Makefile
  head/devel/cl-trivial-gray-streams-sbcl/Makefile
  head/devel/cl-uffi-sbcl/Makefile
  head/lang/sbcl/Makefile
  head/lang/sbcl/distinfo
  head/lang/sbcl/pkg-plist
  head/math/fricas/Makefile
  head/math/maxima/Makefile
  head/math/maxima/distinfo
  head/math/maxima/pkg-plist
  head/math/open-axiom/Makefile
  head/math/wxMaxima/Makefile
  head/security/cl-md5-sbcl/Makefile
  head/textproc/cl-meta-sbcl/Makefile
  head/textproc/cl-ppcre-sbcl/Makefile
  head/www/cl-lml-sbcl/Makefile
  head/x11-wm/stumpwm/Makefile

Modified: head/converters/cl-babel-sbcl/Makefile
==============================================================================
--- head/converters/cl-babel-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/converters/cl-babel-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,7 +2,7 @@
 
 PORTNAME=	babel
 PORTVERSION=	2010.01.16
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	converters lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/buildapp/Makefile
==============================================================================
--- head/devel/buildapp/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/buildapp/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -23,6 +23,8 @@ ALL_TARGET=
 PLIST_FILES=	bin/buildapp
 PORTDOCS=	*
 
+BROKEN=		require needs a pathname for uninstalled modules with the ASDF 3.x bundled with sbcl
+
 post-patch:	.SILENT
 	${REINPLACE_CMD} 's|sbcl|${SBCL}|' ${WRKSRC}/Makefile
 

Modified: head/devel/cl-alexandria-sbcl/Makefile
==============================================================================
--- head/devel/cl-alexandria-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-alexandria-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,7 +2,7 @@
 
 PORTNAME=	alexandria
 PORTVERSION=	2010.01.16
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-cffi-sbcl/Makefile
==============================================================================
--- head/devel/cl-cffi-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-cffi-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cffi
 PORTVERSION=	0.11.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-infix-sbcl/Makefile
==============================================================================
--- head/devel/cl-infix-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-infix-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	infix
 PORTVERSION=	19960628
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-port-sbcl/Makefile
==============================================================================
--- head/devel/cl-port-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-port-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	port
 PORTVERSION=	2002.10.02.1
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-split-sequence-sbcl/Makefile
==============================================================================
--- head/devel/cl-split-sequence-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-split-sequence-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	split-sequence
 PORTVERSION=	20011114.1
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-trivial-features-sbcl/Makefile
==============================================================================
--- head/devel/cl-trivial-features-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-trivial-features-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,7 +2,7 @@
 
 PORTNAME=	trivial-features
 PORTVERSION=	2010.01.16
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-trivial-gray-streams-sbcl/Makefile
==============================================================================
--- head/devel/cl-trivial-gray-streams-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-trivial-gray-streams-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,7 +2,7 @@
 
 PORTNAME=	trivial-gray-streams
 PORTVERSION=	2008.11.02
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/devel/cl-uffi-sbcl/Makefile
==============================================================================
--- head/devel/cl-uffi-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/devel/cl-uffi-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	uffi
 PORTVERSION=	2.0.0
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	devel lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/lang/sbcl/Makefile
==============================================================================
--- head/lang/sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/lang/sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	sbcl
-PORTVERSION=	1.1.8
+PORTVERSION=	1.1.12
 PORTEPOCH=	1
 CATEGORIES=	lang lisp
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION} \
@@ -12,8 +12,10 @@ DISTFILES=	\
 MAINTAINER=	bf@FreeBSD.org
 COMMENT=	A Common Lisp development system derived from the CMU CL system
 
+LIB_DEPENDS=	libgmp.so:${PORTSDIR}/math/gmp
+
 USE_BZIP2=	yes
-USE_GMAKE=	yes
+USES=		gmake
 
 OPTIONS_DEFINE =	SBCL THREADS
 
@@ -28,6 +30,7 @@ CONTRIB_MODULES=	asdf			\
 			sb-concurrency		\
 			sb-cover		\
 			sb-executable		\
+			sb-gmp			\
 			sb-grovel		\
 			sb-introspect		\
 			sb-md5			\

Modified: head/lang/sbcl/distinfo
==============================================================================
--- head/lang/sbcl/distinfo	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/lang/sbcl/distinfo	Thu Oct  3 13:47:44 2013	(r329191)
@@ -1,7 +1,7 @@
-SHA256 (sbcl-1.1.8-source.tar.bz2) = 37ca54d018f49c095e0bf575c2eac825dce48589a9de1ac7bfaeb525a2beacba
-SIZE (sbcl-1.1.8-source.tar.bz2) = 4108784
-SHA256 (sbcl-1.1.8-documentation-html.tar.bz2) = 587a148786592c40a05282bf5cfed5c8214f96119bacf9ba1ea0ce7ed3faaae3
-SIZE (sbcl-1.1.8-documentation-html.tar.bz2) = 181273
+SHA256 (sbcl-1.1.12-source.tar.bz2) = 8c9412cbdb601b636ff3e3c7908ca46d9d97dcfedec33eb634db13122f357457
+SIZE (sbcl-1.1.12-source.tar.bz2) = 4217764
+SHA256 (sbcl-1.1.12-documentation-html.tar.bz2) = 496e5bdd513bd71f99554a599f041a299dff339e803c32d50345f8ffeb26bdcd
+SIZE (sbcl-1.1.12-documentation-html.tar.bz2) = 186902
 SHA256 (sbcl-1.0.31-amd64-freebsd8-binary.tar.bz2) = 06a1e4e3a5f5f8e012ff6037a51624d7d1f34bff0979ce45e70418a293412b4e
 SIZE (sbcl-1.0.31-amd64-freebsd8-binary.tar.bz2) = 8397764
 SHA256 (sbcl-1.0.31-amd64-freebsd7-binary.tar.bz2) = fcbd5ed1948312a7b6eff7e6daf736e41be945a2c57bcee4b64f172ddde518b8

Modified: head/lang/sbcl/pkg-plist
==============================================================================
--- head/lang/sbcl/pkg-plist	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/lang/sbcl/pkg-plist	Thu Oct  3 13:47:44 2013	(r329191)
@@ -82,6 +82,12 @@ lib/sbcl/sb-cover/tests.fasl
 lib/sbcl/sb-cover/tests.lisp
 lib/sbcl/sb-executable/sb-executable.fasl
 lib/sbcl/sb-executable/sb-executable.lisp
+lib/sbcl/sb-gmp/gmp.fasl
+lib/sbcl/sb-gmp/gmp.lisp
+lib/sbcl/sb-gmp/sb-gmp.asd
+lib/sbcl/sb-gmp/sb-gmp.fasl
+lib/sbcl/sb-gmp/tests.fasl
+lib/sbcl/sb-gmp/tests.lisp
 lib/sbcl/sb-grovel/def-to-lisp.fasl
 lib/sbcl/sb-grovel/def-to-lisp.lisp
 lib/sbcl/sb-grovel/defpackage.fasl
@@ -220,6 +226,7 @@ lib/sbcl/site-systems/.keep_me
 @dirrm lib/sbcl/sb-md5
 @dirrm lib/sbcl/sb-introspect
 @dirrm lib/sbcl/sb-grovel
+@dirrm lib/sbcl/sb-gmp
 @dirrm lib/sbcl/sb-executable
 @dirrm lib/sbcl/sb-cover
 @dirrm lib/sbcl/sb-concurrency

Modified: head/math/fricas/Makefile
==============================================================================
--- head/math/fricas/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/math/fricas/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -4,7 +4,7 @@
 PORTNAME=	fricas
 PORTVERSION=	1.1.8
 DISTVERSIONSUFFIX=	-full
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	math
 MASTER_SITES=	SF
 

Modified: head/math/maxima/Makefile
==============================================================================
--- head/math/maxima/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/math/maxima/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	maxima
-PORTVERSION=	5.30.0
-PORTREVISION=	2
+PORTVERSION=	5.31.1
 CATEGORIES=	math lisp tk
 MASTER_SITES=	SF/maxima/Maxima-source/${PORTVERSION}-source
 
@@ -18,8 +17,7 @@ RUN_DEPENDS=	${LOCALBASE}/bin/${LISPPORT
 		${LOCALBASE}/bin/gnuplot:${PORTSDIR}/math/gnuplot \
 		${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
 
-USE_TK =		84+
-USES=			gmake perl5
+USES=			gmake perl5 tk:84+
 USE_PERL5=		build
 USE_PYTHON_BUILD=	yes
 GNU_CONFIGURE=		yes
@@ -126,7 +124,7 @@ post-install:
 	@${ECHO_MSG} ""
 
 check regression-test test: build
-	@cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${GMAKE} ${_MAKE_JOBS} \
-	${MAKE_ARGS} check
+	@cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_ARGS} \
+	check
 
 .include <bsd.port.post.mk>

Modified: head/math/maxima/distinfo
==============================================================================
--- head/math/maxima/distinfo	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/math/maxima/distinfo	Thu Oct  3 13:47:44 2013	(r329191)
@@ -1,2 +1,2 @@
-SHA256 (maxima-5.30.0.tar.gz) = a05239ee16dc3d792887959823944f9106ace955f00b7dd27b2ade3fc13b1dd6
-SIZE (maxima-5.30.0.tar.gz) = 27182046
+SHA256 (maxima-5.31.1.tar.gz) = 955895757a7e1a234461168943d43d3a8814c02c566234d6c3cc983e8cc09322
+SIZE (maxima-5.31.1.tar.gz) = 27452773

Modified: head/math/maxima/pkg-plist
==============================================================================
--- head/math/maxima/pkg-plist	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/math/maxima/pkg-plist	Thu Oct  3 13:47:44 2013	(r329191)
@@ -630,7 +630,6 @@ libexec/maxima/%%PORTVERSION%%/mgnuplot
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/noninteractive/noninteractive.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/noninteractive/rtest_noninteractive.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/opsubst.lisp
-%%DATADIR%%/%%PORTVERSION%%/share/contrib/powers.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/prim/prim-ex.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/prim/prim-ex1.mac
 %%DATADIR%%/%%PORTVERSION%%/share/contrib/prim/prim.mac
@@ -1299,7 +1298,9 @@ libexec/maxima/%%PORTVERSION%%/mgnuplot
 %%DATADIR%%/%%PORTVERSION%%/share/stats/numstats.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/stats/rtest_stats.mac
 %%DATADIR%%/%%PORTVERSION%%/share/stats/stats.mac
+%%DATADIR%%/%%PORTVERSION%%/share/stringproc/base64.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/stringproc/eval_string.lisp
+%%DATADIR%%/%%PORTVERSION%%/share/stringproc/md5.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/stringproc/pregexp.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/stringproc/printf.lisp
 %%DATADIR%%/%%PORTVERSION%%/share/stringproc/rtestprintf.mac
@@ -1729,7 +1730,6 @@ libexec/maxima/%%PORTVERSION%%/mgnuplot
 %%DATADIR%%/%%PORTVERSION%%/src/xmaxima_def.lisp
 %%DATADIR%%/%%PORTVERSION%%/src/zero.lisp
 %%DATADIR%%/%%PORTVERSION%%/tests/README.how-to
-%%DATADIR%%/%%PORTVERSION%%/tests/define_ops.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/mcond_display_elseif.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/mcond_display_elseif.out
 %%DATADIR%%/%%PORTVERSION%%/tests/rexamples.mac
@@ -1773,6 +1773,7 @@ libexec/maxima/%%PORTVERSION%%/mgnuplot
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest_lambert_w.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest_lapack.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest_laplace.mac
+%%DATADIR%%/%%PORTVERSION%%/tests/rtest_limit.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest_log.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest_map.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/rtest_mset.mac
@@ -1811,8 +1812,6 @@ libexec/maxima/%%PORTVERSION%%/mgnuplot
 %%DATADIR%%/%%PORTVERSION%%/tests/test_readbase_maxima.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/test_readbase_maxima_autoload.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/testsuite.lisp
-%%DATADIR%%/%%PORTVERSION%%/tests/tmp_numth.mac
-%%DATADIR%%/%%PORTVERSION%%/tests/tmptest.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/wester_problems/test_algebra.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/wester_problems/test_boolean_logic.mac
 %%DATADIR%%/%%PORTVERSION%%/tests/wester_problems/test_calculus.mac

Modified: head/math/open-axiom/Makefile
==============================================================================
--- head/math/open-axiom/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/math/open-axiom/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	open-axiom
 PORTVERSION=	1.4.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	math
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}
 

Modified: head/math/wxMaxima/Makefile
==============================================================================
--- head/math/wxMaxima/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/math/wxMaxima/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	wxMaxima
 PORTVERSION=	13.04.2
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	math
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	${PORTNAME:L}/${PORTNAME}/${PORTVERSION}

Modified: head/security/cl-md5-sbcl/Makefile
==============================================================================
--- head/security/cl-md5-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/security/cl-md5-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -2,7 +2,7 @@
 
 PORTNAME=	md5
 PORTVERSION=	1.8.5
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	security lisp
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/textproc/cl-meta-sbcl/Makefile
==============================================================================
--- head/textproc/cl-meta-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/textproc/cl-meta-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	meta
 PORTVERSION=	0.1
-PORTREVISION=	13
+PORTREVISION=	14
 PORTEPOCH=	1
 CATEGORIES=	textproc lisp
 PKGNAMEPREFIX=	cl-

Modified: head/textproc/cl-ppcre-sbcl/Makefile
==============================================================================
--- head/textproc/cl-ppcre-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/textproc/cl-ppcre-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cl-ppcre
 PORTVERSION=	2.0.3
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	textproc lisp
 DISTFILES=	# none
 

Modified: head/www/cl-lml-sbcl/Makefile
==============================================================================
--- head/www/cl-lml-sbcl/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/www/cl-lml-sbcl/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -3,7 +3,7 @@
 
 PORTNAME=	lml
 PORTVERSION=	2.5.7
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	www textproc
 PKGNAMEPREFIX=	cl-
 DISTFILES=	# none

Modified: head/x11-wm/stumpwm/Makefile
==============================================================================
--- head/x11-wm/stumpwm/Makefile	Thu Oct  3 13:46:05 2013	(r329190)
+++ head/x11-wm/stumpwm/Makefile	Thu Oct  3 13:47:44 2013	(r329191)
@@ -39,6 +39,7 @@ DISTFILES+=	clx-0.7.4.tgz:clx
 .if ${PORT_OPTIONS:MSBCL}
 CONFIGURE_ARGS+=	--with-lisp=sbcl
 BUILD_DEPENDS+=	sbcl:${PORTSDIR}/lang/sbcl
+BROKEN=		require needs a pathname for uninstalled modules with the ASDF 3.x bundled with sbcl
 .else
 CONFIGURE_ARGS+=	--with-lisp=clisp
 BUILD_DEPENDS+=	clisp:${PORTSDIR}/lang/clisp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Brendan Fabeny freebsd_committer 2013-10-03 14:56:14 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!